<?php
#=

/* inutilisée (dd 06/04/07)
function tabAccRefus($message_id) {
    //rechercher le (nbccords,nbrefus) pour les items demandés
    //retournés sous forme d'un tableau
    //---------------------------------
    $resverif=query("SELECT SUM(accord=1) AS n1, SUM(accord=0) AS n0
					FROM  reponses
					WHERE  message_id=$message_id
                    GROUP BY  accord");

    //On peut avoir 0, 1 ou 2 lignes de résultats : rien / #oui,0 / 0,#non / #oui,0 et 0,#non
    $nbacc=0;$nbrefus=0;
    while (list($n1,$n0)=mysql_fetch_array( $resverif)) {
        $nbacc+=$n1;
        $nbrefus+=$n0;
        }
return array($nbacc,$nbrefus);
}
*/


//fonction appelée par le prof, la demande n'étant pas périmée, par hypothèse
function estAccordable($bilan,$eleve_id,$item_id,$disc_id) {
global $etab_nb_validations,$MODULE;
//regarder si l'item est "accordable" (éventuellement 2 cas -non exclusifs- à étudier)
if ($bilan>=$etab_nb_validations) return true; //cas le plus simple
if ($bilan==0) return false; //cas particulier : il faut au moins un accord !

//peaufiner : regarder si le nombre de profs validateurs est suffisant
//Par exemple, avec bilan=1, etab_nb_validations=2, nbvalidateurs=1,
//(pas suffisamment de profs capables) l'élève ne pourra jamais obtenir l'item. 
//Comme il a fait le plein des accords, on le lui accorde.
//Remarque : normalement, on pourrait écrire ci-dessous $accordable=($bilan==$nbvalidateurs)
//mais le >= tient compte du désistement ou de la disparition de certains profs 

if ($MODULE=='Melia')   {
	$from_melia=', eleves, profs ';
	$where_melia=" AND profs.disc_id=$disc_id AND lien_profs_classes.prof_id=profs.prof_id ";
	}
else {
	$from_melia='';
	$where_melia='';
	}

$nbvalidateurs=mysql_num_rows(query("
         SELECT DISTINCT lpi.prof_id
         FROM lien_profs_classes, lien_eleves_classes, lpi
              $from_melia
         WHERE lien_profs_classes.classe_id=lien_eleves_classes.classe_id
           and lien_eleves_classes.eleve_id=$eleve_id
           and lpi.prof_id=lien_profs_classes.prof_id
           and lpi.item_id=$item_id
           $where_melia"));
$accordable=($bilan>=$nbvalidateurs); // l'élève ne pourra jamais faire mieux que $bilan
return $accordable;
}


?>